/* splittris.h -- read in a .ele/.node file pair generated by the triangle 
 *                program and output edge vertices w/ normals.
 *
 * Written by Curtis Olson, started January 1998.
 *
 * Copyright (C) 1997  Curtis L. Olson  - curt@infoplane.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: splittris.h,v 1.3 1998/03/03 15:36:13 curt Exp $
 * (Log is kept at end of this file)
 */


#ifndef SPLITTRIS_H
#define SPLITTRIS_H


#include <stdio.h>
#include <string.h>


#define MAX_NODES 200000
#define MAX_TRIS  400000


extern int nodecount, tricount;


/* Initialize a new mesh structure */
void triload(char *basename);


#endif /* SPLITTRIS_H */


/* $Log: splittris.h,v $
 * Revision 1.3  1998/03/03 15:36:13  curt
 * Tweaks for compiling with g++
 *
 * Revision 1.2  1998/01/15 02:49:25  curt
 * Misc. housekeeping.
 *
 * Revision 1.1  1998/01/14 02:11:32  curt
 * Initial revision.
 *
 */
